Bug 59299 - RFE: A centraliced registry/clearance database of [system] UIDs/GIDs
RFE: A centraliced registry/clearance database of [system] UIDs/GIDs
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-02-04 15:46 EST by rm0
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-04 15:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rm0 2002-02-04 15:46:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
It would be nice if the Re Hat people maintaned and published 
a central registry of the fixed GIDs/UIDs used by the packages 
that need them for the supported RHL version as well as accepting
reservations request from 3rd. party rpm package builders

In this way the RH staff and 3rd. party packagers could 
avoid UIDs/GUIDs clashes both for current and future 
versions of RHL.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Packager/developer Alice is rpm-packaging foo package
2. foo needs to use a unique UID in the system
3. Alice chooses UID 25 that is below the system uid limit 
   and published the package that created  the foouser in 
   the preinstall script.
4. Users complain that the foo rpm is clashing with
   the 'named' system user created by the RHL bind packages
5. So, Alice now greps all the install scripts in the
   RHL CDs for occurences of useradd to be safe. Now chooses
   the UID 89 because it is not used by any RHL package and 
   publishes a new rpm package of foo with this modification.
6. Users start complaining again because UID 89 is used by 
   the very popular rpm packages of Postfix maintained
   by Simon J. Mudd
7. Arghh !

Actual Results:  Alice gets crazy and abandon the idea of rpm packaging foo

Expected Results:  If Alice could read a web page at www.redhat.com
to find a unused UID and then start a process to 'reserve' it
this problem could be avoided.

Additional info:
Comment 1 Jeff Johnson 2002-02-05 10:09:41 EST
We have a list of uids/gids that are used in the range
0-100 (might be 0-500, but most of the uid's/gid's
used by Red Hat are < 100) that changes only slowly.
An everythig install will show what we use, or post
a bug against the setup package asking for a copy of the list.

A full-blown uid/gid mapping database is outside of 
rpm's scope, and possibly outside the scope of the Red
Hat distro itself., as we have no control (or desire to control)
choice of uid's and gid's.

Note You need to log in before you can comment on or make changes to this bug.